using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace NexusReader.Data.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class AddEbookReadyFlag : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsReadyForReading",
                table: "Ebooks",
                type: "boolean",
                nullable: false,
                defaultValue: false);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsReadyForReading",
                table: "Ebooks");
        }
    }
}
